5 Replies Latest reply: Jul 29, 2012 4:56 PM by Austin Kinsella1
Borgert123 Level 1 Level 1 (0 points)

Im running my macbook on 10.6.8.  I need at least 10.7 to download things I need, what do i do??


MacBook, Mac OS X (10.6.8)